%define oname zeroconf-ioslave

Summary:	DNS-SD Service Discovery Monitor for Plasma 5
Name:		plasma5-%{oname}
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5dnssd-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
Requires:	nss_mdns
# Because of dbus interface
Conflicts:	kdnssd

%description
DNS-SD Service Discovery Monitor for Plasma 5.

%files -f kio5_zeroconf.lang
%{_kde5_datadir}/remoteview/zeroconf.desktop
%{_kde5_services}/kded/dnssdwatcher.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%{_qt5_plugindir}/kded_dnssdwatcher.so
%{_qt5_plugindir}/kf5/kio/zeroconf.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kio5_zeroconf

%changelog

* Mon Apr 09 2018 Rosa <rosa@abf.rosalinux.ru> 17.12.3-1
- (8632e8b) Automatic import for version 17.12.3-1


